harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maksim Ananjev" <maksim.anan...@gmail.com>
Subject Re: Can't launch Harmony on Vista 32-bit edition
Date Thu, 27 Mar 2008 15:53:19 GMT
Here is a face-control code from vm_init.cpp that causes the error_message

    if((osvi.dwMajorVersion == 4 && osvi.dwMinorVersion == 0) ||  // NT 4.0
       (osvi.dwMajorVersion == 5 && osvi.dwMinorVersion == 0) ||  //
Windows 2000
       (osvi.dwMajorVersion == 5 && osvi.dwMinorVersion == 1) ||  // Windows XP
       (osvi.dwMajorVersion == 5 && osvi.dwMinorVersion == 2)) {  //
Windows.NET
            return JNI_OK;
    }
    printf("Windows %d.%d is not supported\n", osvi.dwMajorVersion,
osvi.dwMinorVersion);

Seems, that it was written, when there had been no Vista.
I have a strong feeling that just adding 6.0 option to this list makes
launching Harmony on Vista possible.


On Thu, Mar 27, 2008 at 9:29 PM, Dmitry Egorov <d.egorov@inbox.ru> wrote:
>
> Hello, everyone!
>
>  I installed Windows Vista 32-bit edition recently, patched it with SP1
>  and now i can't run Harmony. It builds successfully, but when I try
>  running java.exe and javac.exe files I get the following message:
>  "Windows 6.0 is not supported
>  HMYEXEL062E Внутренняя ошибка VM: Не удалось создать
Java VM
>  FAILED to invoke JVM."
>
>  I copied Harmony binaries to another computer running Windows XP and it
>  works OK there.
>
>  I thought Vista is supported by Harmony, maybe I was wrong. Any ideas?
>
>



-- 
Maksim
Mime
View raw message